## javax.persistence
Class QueryTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.persistence.PersistenceException
                      javax.persistence.QueryTimeoutException

All Implemented Interfaces:
  java.io.Serializable

    public class QueryTimeoutException

extends PersistenceException

See Also:
  Serialized Form

Constructor Summary
`QueryTimeoutException()`
`QueryTimeoutException(Query query)`
`QueryTimeoutException(java.lang.String message)`
`QueryTimeoutException(java.lang.String message, java.lang.Throwable cause)`
`QueryTimeoutException(java.lang.String message, java.lang.Throwable cause, Query query)`
`QueryTimeoutException(java.lang.Throwable cause)`

Method Summary
`Query` `getQuery()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QueryTimeoutException

    public QueryTimeoutException()

### QueryTimeoutException

    public QueryTimeoutException(java.lang.String message)

### QueryTimeoutException

    public QueryTimeoutException(java.lang.String message,
                                 java.lang.Throwable cause)

### QueryTimeoutException

    public QueryTimeoutException(java.lang.Throwable cause)

### QueryTimeoutException

    public QueryTimeoutException(Query query)

### QueryTimeoutException

    public QueryTimeoutException(java.lang.String message,
                                 java.lang.Throwable cause,
                                 Query query)

Method Detail

### getQuery

    public Query getQuery()